// src/table-reservations-v1-reservation-reservations.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformSDKFloatToRESTFloat } from "@wix/sdk-runtime/transformations/float";
import { transformRESTFloatToSDKFloat } from "@wix/sdk-runtime/transformations/float";
import { transformSDKTimestampToRESTTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformSDKFieldMaskToRESTFieldMask } from "@wix/sdk-runtime/transformations/field-mask";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixTableReservationsReservationV1ReservationsServiceUrl(opts) {
  const domainToMappings = {
    _: [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "editor.wixapps.net": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/table-reservations/reservations",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "bo._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/table-reservations/reservations",
        destPath: ""
      }
    ],
    "apps._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_table-reservations_reservations";
function createReservation(payload) {
  function __createReservation({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "reservation.createdDate" },
          { path: "reservation.updatedDate" },
          { path: "reservation.details.startDate" },
          { path: "reservation.details.endDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.CreateReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createReservation;
}
function getReservation(payload) {
  function __getReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "GET",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.GetReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getReservation;
}
function updateReservation(payload) {
  function __updateReservation({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "reservation.createdDate" },
          { path: "reservation.updatedDate" },
          { path: "reservation.details.startDate" },
          { path: "reservation.details.endDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "PATCH",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.UpdateReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservation.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateReservation;
}
function createHeldReservation(payload) {
  function __createHeldReservation({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [{ path: "reservationDetails.startDate" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.CreateHeldReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/hold",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createHeldReservation;
}
function reserveReservation(payload) {
  function __reserveReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.ReserveReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}/reserve",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __reserveReservation;
}
function cancelReservation(payload) {
  function __cancelReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.CancelReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}/cancel",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __cancelReservation;
}
function deleteReservation(payload) {
  function __deleteReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "DELETE",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.DeleteReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __deleteReservation;
}
function listReservations(payload) {
  function __listReservations({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKTimestampToRESTTimestamp,
        paths: [{ path: "startDateFrom" }, { path: "startDateTo" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "GET",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.ListReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations",
        data: serializedData,
        host
      }),
      params: toURLSearchParams(serializedData),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservations.createdDate" },
            { path: "reservations.updatedDate" },
            { path: "reservations.details.startDate" },
            { path: "reservations.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listReservations;
}
function queryReservations(payload) {
  function __queryReservations({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.QueryReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/query",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservations.createdDate" },
            { path: "reservations.updatedDate" },
            { path: "reservations.details.startDate" },
            { path: "reservations.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __queryReservations;
}
function searchReservations(payload) {
  function __searchReservations({ host }) {
    const serializedData = transformPaths(payload, [
      {
        transformFn: transformSDKFloatToRESTFloat,
        paths: [
          { path: "search.aggregations.range.buckets.from" },
          { path: "search.aggregations.range.buckets.to" },
          {
            path: "search.aggregations.nested.nestedAggregations.range.buckets.from"
          },
          {
            path: "search.aggregations.nested.nestedAggregations.range.buckets.to"
          }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.SearchReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/search",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservations.createdDate" },
            { path: "reservations.updatedDate" },
            { path: "reservations.details.startDate" },
            { path: "reservations.details.endDate" }
          ]
        },
        {
          transformFn: transformRESTFloatToSDKFloat,
          paths: [
            { path: "aggregationData.results.ranges.results.from" },
            { path: "aggregationData.results.ranges.results.to" },
            {
              path: "aggregationData.results.groupedByValue.results.nestedResults.ranges.results.from"
            },
            {
              path: "aggregationData.results.groupedByValue.results.nestedResults.ranges.results.to"
            },
            {
              path: "aggregationData.results.nested.results.results.*.range.from"
            },
            {
              path: "aggregationData.results.nested.results.results.*.range.to"
            },
            { path: "aggregationData.results.scalar.value" },
            {
              path: "aggregationData.results.groupedByValue.results.nestedResults.scalar.value"
            },
            {
              path: "aggregationData.results.nested.results.results.*.scalar.value"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __searchReservations;
}
function bulkArchiveReservations(payload) {
  function __bulkArchiveReservations({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.BulkArchiveReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/bulk/reservations/archive",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkArchiveReservations;
}
function bulkUnArchiveReservations(payload) {
  function __bulkUnArchiveReservations({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.BulkUnArchiveReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/bulk/reservations/unarchive",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkUnArchiveReservations;
}

// src/table-reservations-v1-reservation-reservations.meta.ts
function createReservation2() {
  const payload = {};
  const getRequestOptions = createReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = getReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/reservations/{reservationId}",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function updateReservation2() {
  const payload = { reservation: { id: ":reservationId" } };
  const getRequestOptions = updateReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/v1/reservations/{reservation.id}",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function createHeldReservation2() {
  const payload = {};
  const getRequestOptions = createHeldReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/hold",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function reserveReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = reserveReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/{reservationId}/reserve",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function cancelReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = cancelReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/{reservationId}/cancel",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function deleteReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = deleteReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "DELETE",
    path: "/v1/reservations/{reservationId}",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listReservations2() {
  const payload = {};
  const getRequestOptions = listReservations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/reservations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function queryReservations2() {
  const payload = {};
  const getRequestOptions = queryReservations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/query",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function searchReservations2() {
  const payload = {};
  const getRequestOptions = searchReservations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/search",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkArchiveReservations2() {
  const payload = {};
  const getRequestOptions = bulkArchiveReservations(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/bulk/reservations/archive",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkUnArchiveReservations2() {
  const payload = {};
  const getRequestOptions = bulkUnArchiveReservations(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/bulk/reservations/unarchive",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  bulkArchiveReservations2 as bulkArchiveReservations,
  bulkUnArchiveReservations2 as bulkUnArchiveReservations,
  cancelReservation2 as cancelReservation,
  createHeldReservation2 as createHeldReservation,
  createReservation2 as createReservation,
  deleteReservation2 as deleteReservation,
  getReservation2 as getReservation,
  listReservations2 as listReservations,
  queryReservations2 as queryReservations,
  reserveReservation2 as reserveReservation,
  searchReservations2 as searchReservations,
  updateReservation2 as updateReservation
};
//# sourceMappingURL=meta.mjs.map