"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  bulkArchiveReservations: () => bulkArchiveReservations2,
  bulkUnArchiveReservations: () => bulkUnArchiveReservations2,
  cancelReservation: () => cancelReservation2,
  createHeldReservation: () => createHeldReservation2,
  createReservation: () => createReservation2,
  deleteReservation: () => deleteReservation2,
  getReservation: () => getReservation2,
  listReservations: () => listReservations2,
  queryReservations: () => queryReservations2,
  reserveReservation: () => reserveReservation2,
  searchReservations: () => searchReservations2,
  updateReservation: () => updateReservation2
});
module.exports = __toCommonJS(meta_exports);

// src/table-reservations-v1-reservation-reservations.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_float = require("@wix/sdk-runtime/transformations/float");
var import_float2 = require("@wix/sdk-runtime/transformations/float");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_timestamp2 = require("@wix/sdk-runtime/transformations/timestamp");
var import_field_mask = require("@wix/sdk-runtime/transformations/field-mask");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixTableReservationsReservationV1ReservationsServiceUrl(opts) {
  const domainToMappings = {
    _: [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "editor.wixapps.net": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/table-reservations/reservations",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "bo._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/table-reservations/reservations",
        destPath: ""
      }
    ],
    "apps._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/table-reservations/reservations",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_table-reservations_reservations";
function createReservation(payload) {
  function __createReservation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "reservation.createdDate" },
          { path: "reservation.updatedDate" },
          { path: "reservation.details.startDate" },
          { path: "reservation.details.endDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.CreateReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createReservation;
}
function getReservation(payload) {
  function __getReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "GET",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.GetReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getReservation;
}
function updateReservation(payload) {
  function __updateReservation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_field_mask.transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "mask" }]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "reservation.createdDate" },
          { path: "reservation.updatedDate" },
          { path: "reservation.details.startDate" },
          { path: "reservation.details.endDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "PATCH",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.UpdateReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservation.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __updateReservation;
}
function createHeldReservation(payload) {
  function __createHeldReservation({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [{ path: "reservationDetails.startDate" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.CreateHeldReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/hold",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __createHeldReservation;
}
function reserveReservation(payload) {
  function __reserveReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.ReserveReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}/reserve",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __reserveReservation;
}
function cancelReservation(payload) {
  function __cancelReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.CancelReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}/cancel",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservation.createdDate" },
            { path: "reservation.updatedDate" },
            { path: "reservation.details.startDate" },
            { path: "reservation.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __cancelReservation;
}
function deleteReservation(payload) {
  function __deleteReservation({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "DELETE",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.DeleteReservation",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/{reservationId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __deleteReservation;
}
function listReservations(payload) {
  function __listReservations({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [{ path: "startDateFrom" }, { path: "startDateTo" }]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "GET",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.ListReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations",
        data: serializedData,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(serializedData),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservations.createdDate" },
            { path: "reservations.updatedDate" },
            { path: "reservations.details.startDate" },
            { path: "reservations.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listReservations;
}
function queryReservations(payload) {
  function __queryReservations({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.QueryReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/query",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservations.createdDate" },
            { path: "reservations.updatedDate" },
            { path: "reservations.details.startDate" },
            { path: "reservations.details.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __queryReservations;
}
function searchReservations(payload) {
  function __searchReservations({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_float.transformSDKFloatToRESTFloat,
        paths: [
          { path: "search.aggregations.range.buckets.from" },
          { path: "search.aggregations.range.buckets.to" },
          {
            path: "search.aggregations.nested.nestedAggregations.range.buckets.from"
          },
          {
            path: "search.aggregations.nested.nestedAggregations.range.buckets.to"
          }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.SearchReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/reservations/search",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "reservations.createdDate" },
            { path: "reservations.updatedDate" },
            { path: "reservations.details.startDate" },
            { path: "reservations.details.endDate" }
          ]
        },
        {
          transformFn: import_float2.transformRESTFloatToSDKFloat,
          paths: [
            { path: "aggregationData.results.ranges.results.from" },
            { path: "aggregationData.results.ranges.results.to" },
            {
              path: "aggregationData.results.groupedByValue.results.nestedResults.ranges.results.from"
            },
            {
              path: "aggregationData.results.groupedByValue.results.nestedResults.ranges.results.to"
            },
            {
              path: "aggregationData.results.nested.results.results.*.range.from"
            },
            {
              path: "aggregationData.results.nested.results.results.*.range.to"
            },
            { path: "aggregationData.results.scalar.value" },
            {
              path: "aggregationData.results.groupedByValue.results.nestedResults.scalar.value"
            },
            {
              path: "aggregationData.results.nested.results.results.*.scalar.value"
            }
          ]
        }
      ])
    };
    return metadata;
  }
  return __searchReservations;
}
function bulkArchiveReservations(payload) {
  function __bulkArchiveReservations({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.BulkArchiveReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/bulk/reservations/archive",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkArchiveReservations;
}
function bulkUnArchiveReservations(payload) {
  function __bulkUnArchiveReservations({ host }) {
    const metadata = {
      entityFqdn: "wix.table_reservations.v1.reservation",
      method: "POST",
      methodFqn: "wix.table_reservations.reservation.v1.ReservationsService.BulkUnArchiveReservations",
      packageName: PACKAGE_NAME,
      url: resolveWixTableReservationsReservationV1ReservationsServiceUrl({
        protoPath: "/v1/bulk/reservations/unarchive",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __bulkUnArchiveReservations;
}

// src/table-reservations-v1-reservation-reservations.meta.ts
function createReservation2() {
  const payload = {};
  const getRequestOptions = createReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = getReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/reservations/{reservationId}",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function updateReservation2() {
  const payload = { reservation: { id: ":reservationId" } };
  const getRequestOptions = updateReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/v1/reservations/{reservation.id}",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function createHeldReservation2() {
  const payload = {};
  const getRequestOptions = createHeldReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/hold",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function reserveReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = reserveReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/{reservationId}/reserve",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function cancelReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = cancelReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/{reservationId}/cancel",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function deleteReservation2() {
  const payload = { reservationId: ":reservationId" };
  const getRequestOptions = deleteReservation(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "DELETE",
    path: "/v1/reservations/{reservationId}",
    pathParams: { reservationId: "reservationId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listReservations2() {
  const payload = {};
  const getRequestOptions = listReservations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/reservations",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function queryReservations2() {
  const payload = {};
  const getRequestOptions = queryReservations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/query",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function searchReservations2() {
  const payload = {};
  const getRequestOptions = searchReservations(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/reservations/search",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkArchiveReservations2() {
  const payload = {};
  const getRequestOptions = bulkArchiveReservations(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/bulk/reservations/archive",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function bulkUnArchiveReservations2() {
  const payload = {};
  const getRequestOptions = bulkUnArchiveReservations(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/bulk/reservations/unarchive",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  bulkArchiveReservations,
  bulkUnArchiveReservations,
  cancelReservation,
  createHeldReservation,
  createReservation,
  deleteReservation,
  getReservation,
  listReservations,
  queryReservations,
  reserveReservation,
  searchReservations,
  updateReservation
});
//# sourceMappingURL=meta.js.map